<?php

namespace Hura8\Components\Banner\Model;

use Hura8\Interfaces\AppResponse;
use Hura8\Interfaces\iEntityModel;
use Hura8\Interfaces\EntityType;
use Hura8\System\Model\aEntityBaseModel;
use Hura8\System\Security\DataClean;
use Hura8\System\Security\DataType;


class BannerLocationModel extends aEntityBaseModel implements iEntityModel
{

    public function __construct() {
        parent::__construct(EntityType::BANNER_LOCATION);
    }

    protected function extendedFilterOptions(): array
    {
        return [];
    }

    protected function _buildQueryConditionExtend(array $filter_condition) : ?array
    {
         return null;
    }

}
